commit:     becb25ac83256fc8382128ca7985f73bb4699206
Author:     Sam Jorna <wraeth <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 27 11:38:48 2016 +0000
Commit:     Sam Jorna <wraeth <AT> gentoo <DOT> org>
CommitDate: Sun Mar 27 11:57:58 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=becb25ac

sci-geosciences/gpsd: bump to 3.16

Package-Manager: portage-2.2.28

 sci-geosciences/gpsd/Manifest         |   1 +
 sci-geosciences/gpsd/gpsd-3.16.ebuild | 171 ++++++++++++++++++++++++++++++++++
 2 files changed, 172 insertions(+)

diff --git a/sci-geosciences/gpsd/Manifest b/sci-geosciences/gpsd/Manifest
index 502bd1c..d760097 100644
--- a/sci-geosciences/gpsd/Manifest
+++ b/sci-geosciences/gpsd/Manifest
@@ -1,4 +1,5 @@
 DIST gpsd-3.10.tar.gz 1566622 SHA256 
706fc2c1cf3dfbf87c941f543381bccc9c4dc9f8240eec407dcbf2f70b854320 SHA512 
fd452185a8a9f9b8dfb2a5c2d5b6410f795d56dc46a7c216d8fcd686e43c5555a5f0421434060e9bb7afa465bb8a45a1e358108c4de42300eeb972caa334d8b6
 WHIRLPOOL 
52aa2285eff48f72a3e554c40bdb2b521bc36e35680a928d7ee53f3b55578d8451a573f4c75dcadc905eba7c48b41b5a317704aaf17b9699b614595560011514
 DIST gpsd-3.11.tar.gz 1579600 SHA256 
ed66c6b6b1e2b4951de2c0b2399c22f77fe9f5927ef6b948dd8eb023ff53b7ee SHA512 
bf600ea99635d415916c2a3043f56e61bda023ba320a15f33cd47b375c772dbec69aa941c4729914ccd6a868488cd6bd9f35d4067af9e353def743f45636e6f4
 WHIRLPOOL 
12a9fde832d611d129f48919d10c4a48f7da1e664d49844d4317e3b9511dee9810884f4b23036ebf576e7870b56091767a4f6c0237a8091643abb637642ee2b8
 DIST gpsd-3.15.tar.gz 1410534 SHA256 
81c89e271ae112313e68655ab30d227bc38fe7841ffbff0f1860b12a9d7696ea SHA512 
2be83cac52b5034bca44374cf7e17917270fe50495014f424d46a171bc77b58f9c5eb8ea38fe0cff9a28a6c2b6b8e5bf17a5a141eb9243962319a1ae9da2ea04
 WHIRLPOOL 
323dc3336372d318ade9549ad401fa588e9abd3d01add750892fa028bf8f6837342ba76f6f85ebf715329517d314f9fe63429460ea1a639000124437f761fb8c
+DIST gpsd-3.16.tar.gz 8587490 SHA256 
03579af13a4d3fe0c5b79fa44b5f75c9f3cac6749357f1d99ce5d38c09bc2029 SHA512 
a8ad85a1f17d3ea550a4b99c262e47a834ed8fd16b00e10574f7cf5f34b6c506142aa77a870a61f8827c0d0c88fe7f65f6e916089d64e84c5667d4a2ca89c543
 WHIRLPOOL 
67d6db04593d6df62c64848965fd2c72d806003df9ad8a3623665ecf73a165e12c977d1d3988e46f7aec3c1cdee8bc026c515fd3be855b6da282def4e32498be
 DIST gpsd-3.9.tar.gz 1518775 SHA256 
d9b24be838b48db5e8eba66f74edf32d1982fe0fb018c9d9a7ad1ada9f189d5a SHA512 
082524a7744da5212074123ab7920fe77bfa35f99cb12a900ad7b2718ea563803f988d09d7a063d08784d790c8c7e65503daefce4e6dd6bd1bc77bf580db638f
 WHIRLPOOL 
1d3c70bfe5b4b8dec5dc4119287afb7ca4f426041f49c43b167b9e7f85c3995bfcb3bbf777cbe479ef353f1d485e54c891e732fd6871b6dbe9874d8d3c7fa6d1

diff --git a/sci-geosciences/gpsd/gpsd-3.16.ebuild 
b/sci-geosciences/gpsd/gpsd-3.16.ebuild
new file mode 100644
index 0000000..4602b53
--- /dev/null
+++ b/sci-geosciences/gpsd/gpsd-3.16.ebuild
@@ -0,0 +1,171 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DISTUTILS_OPTIONAL=1
+PYTHON_COMPAT=( python2_7 )
+SCONS_MIN_VERSION="1.2.1"
+
+inherit eutils udev user multilib distutils-r1 scons-utils toolchain-funcs
+
+if [[ ${PV} == "9999" ]] ; then
+       EGIT_REPO_URI="git://git.savannah.nongnu.org/gpsd.git"
+       inherit git-2
+else
+       SRC_URI="mirror://nongnu/${PN}/${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+fi
+
+DESCRIPTION="GPS daemon and library for USB/serial GPS devices and GPS/mapping 
clients"
+HOMEPAGE="http://catb.org/gpsd/";
+
+LICENSE="BSD"
+SLOT="0"
+
+GPSD_PROTOCOLS=(
+       aivdm ashtech earthmate evermore fury fv18 garmin garmintxt
+       geostar gpsclock itrax mtk3301 navcom nmea0183 nmea2000 ntrip
+       oceanserver oncore passthrough rtcm104v2 rtcm104v3 sirf superstar2
+       tnt tripmate tsip ublox
+)
+IUSE_GPSD_PROTOCOLS=${GPSD_PROTOCOLS[@]/#/gpsd_protocols_}
+IUSE="${IUSE_GPSD_PROTOCOLS} bluetooth cxx debug dbus ipv6 latency_timing 
ncurses ntp python qt4 +shm +sockets static test udev usb X"
+REQUIRED_USE="X? ( python )
+       gpsd_protocols_nmea2000? ( gpsd_protocols_aivdm )
+       python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="X? ( dev-python/pygtk:2[${PYTHON_USEDEP}] )
+       ncurses? ( sys-libs/ncurses:= )
+       bluetooth? ( net-wireless/bluez )
+       usb? ( virtual/libusb:1 )
+       dbus? (
+               sys-apps/dbus
+               dev-libs/dbus-glib
+       )
+       ntp? ( || ( net-misc/ntp net-misc/chrony ) )
+       qt4? ( dev-qt/qtgui:4 )
+       python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+       test? ( sys-devel/bc )"
+
+# xml packages are for man page generation
+if [[ ${PV} == "9999" ]] ; then
+       DEPEND+="
+               app-text/xmlto
+               =app-text/docbook-xml-dtd-4.1*"
+fi
+
+src_prepare() {
+       # Make sure our list matches the source.
+       local src_protocols=$(echo $(
+               sed -n '/# GPS protocols/,/# Time 
service/{s:#.*::;s:[(",]::g;p}' "${S}"/SConstruct | awk '{print $1}' | LC_ALL=C 
sort
+       ) )
+       if [[ ${src_protocols} != ${GPSD_PROTOCOLS[*]} ]] ; then
+               eerror "Detected protocols: ${src_protocols}"
+               eerror "Ebuild protocols:   ${GPSD_PROTOCOLS[*]}"
+               die "please sync ebuild & source"
+       fi
+
+       epatch "${FILESDIR}"/${PN}-3.8-ldflags.patch
+       epatch "${FILESDIR}"/${PN}-3.15-dynamic-libs.patch
+       epatch "${FILESDIR}"/${PN}-3.15-libgpsd.patch
+       epatch "${FILESDIR}"/${PN}-3.15-broken-install.patch
+
+       # Avoid useless -L paths to the install dir
+       sed -i \
+               -e 's:\<STAGING_PREFIX\>:SYSROOT:g' \
+               SConstruct || die
+
+       sed -e 's:libusb.h:libusb-1.0/libusb.h:' -i driver_garmin.c || die
+
+       eapply_user
+
+       use python && distutils-r1_src_prepare
+}
+
+python_prepare_all() {
+       python_export_best
+       # Extract python info out of SConstruct so we can use saner distribute
+       pyvar() { sed -n "/^ *$1 *=/s:.*= *::p" SConstruct ; }
+       local pybins=$(pyvar python_progs | tail -1)
+       local pysrcs=$(sed -n '/^ *python_extensions = {/,/}/{s:^ 
*::;s:os[.]sep:"/":g;p}' SConstruct)
+       local packet=$("${PYTHON}" -c "${pysrcs}; 
print(python_extensions['gps/packet'])")
+       local client=$("${PYTHON}" -c "${pysrcs}; 
print(python_extensions['gps/clienthelpers'])")
+       sed \
+               -e "s|@VERSION@|$(pyvar gpsd_version)|" \
+               -e "s|@URL@|$(pyvar website)|" \
+               -e "s|@EMAIL@|$(pyvar devmail)|" \
+               -e "s|@SCRIPTS@|${pybins}|" \
+               -e "s|@GPS_PACKET_SOURCES@|${packet}|" \
+               -e "s|@GPS_CLIENT_SOURCES@|${client}|" \
+               -e "s|@SCRIPTS@|${pybins}|" \
+               "${FILESDIR}"/${PN}-3.3-setup.py > setup.py || die
+       distutils-r1_python_prepare_all
+}
+
+src_configure() {
+       myesconsargs=(
+               prefix="${EPREFIX}/usr"
+               libdir="\$prefix/$(get_libdir)"
+               udevdir="$(get_udevdir)"
+               chrpath=False
+               gpsd_user=gpsd
+               gpsd_group=uucp
+               nostrip=True
+               python=False
+               manbuild=False
+               shared=$(usex !static True False)
+               $(use_scons bluetooth bluez)
+               $(use_scons cxx libgpsmm)
+               $(use_scons debug clientdebug)
+               $(use_scons dbus dbus_export)
+               $(use_scons ipv6)
+               $(use_scons latency_timing timing)
+               $(use_scons ncurses)
+               $(use_scons ntp ntpshm)
+               $(use_scons ntp pps)
+               $(use_scons shm shm_export)
+               $(use_scons sockets socket_export)
+               $(use_scons qt4 libQgpsmm)
+               $(use_scons usb)
+       )
+
+       # enable specified protocols
+       local protocol
+       for protocol in ${GPSD_PROTOCOLS[@]} ; do
+               myesconsargs+=( $(use_scons gpsd_protocols_${protocol} 
${protocol}) )
+       done
+}
+
+src_compile() {
+       export CHRPATH=
+       tc-export CC CXX PKG_CONFIG
+       export SHLINKFLAGS=${LDFLAGS} LINKFLAGS=${LDFLAGS}
+       escons
+
+       use python && distutils-r1_src_compile
+}
+
+src_install() {
+       DESTDIR="${D}" escons install $(usex udev udev-install "")
+
+       newconfd "${FILESDIR}"/gpsd.conf-2 gpsd
+       newinitd "${FILESDIR}"/gpsd.init-2 gpsd
+
+       if use python ; then
+               distutils-r1_src_install
+               # Delete all X related packages if user doesn't want them
+               if ! use X ; then
+                       rm "${ED%/}"/usr/bin/xgps* || die
+               fi
+       fi
+}
+
+pkg_preinst() {
+       # Run the gpsd daemon as gpsd and group uucp; create it here
+       # as it doesn't seem to be needed during compile/install ...
+       enewuser gpsd -1 -1 -1 "uucp"
+}

Reply via email to